Skip to navigation

Update envelopes shares

View as Markdown

The format for specifying updates to shares requests in the request body is similar to the following:

{ “shares”: [ { “agentUser”: { “userId”: “9258f571-xxxx-xxxx-xxxx-5d01275bd0d5”, “accountId”: “c12db425-xxxx-xxxx-xxxx-cfb414e15847”, }, “permission”: “View” }, { “agentUser”: { “userId”: “2d445e51-xxxx-xxxx-xxxx-88e8bd8e3be3”, “accountId”: “c12db425-xxxx-xxxx-xxxx-cfb414e15847”, }, “permission”: “Edit” }, { “agentUser”: { “userId”: “7f8e9d10-xxxx-xxxx-xxxx-6f7a8b9c0d1e”, “accountId”: “c12db425-xxxx-xxxx-xxxx-cfb414e15847”, }, “permission”: “Manage” } ] }

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

envelopeIdstringRequired
The envelopeId Guid of the envelope being accessed.

Request

This endpoint expects an object: envelopesSharesRequest

shareslist of objectsOptional
An array of objects that contain information on the accounts to whom the envelope will be shared. Each object in the array holds the information for one account. Required.

Response

Successful response.
shareslist of objectsOptional

Errors

400
Bad Request Error